public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Tim Harder" <radhermit@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/pytest-xdist/
Date: Tue, 22 Aug 2017 03:42:03 +0000 (UTC)	[thread overview]
Message-ID: <1503373235.99fc2c71df965c82f15953abb0da3e5fe5b18cac.radhermit@gentoo> (raw)

commit:     99fc2c71df965c82f15953abb0da3e5fe5b18cac
Author:     Tim Harder <radhermit <AT> gentoo <DOT> org>
AuthorDate: Tue Aug 22 03:30:23 2017 +0000
Commit:     Tim Harder <radhermit <AT> gentoo <DOT> org>
CommitDate: Tue Aug 22 03:40:35 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=99fc2c71

dev-python/pytest-xdist: version bump to 1.20.0

 dev-python/pytest-xdist/Manifest                   |  1 +
 dev-python/pytest-xdist/pytest-xdist-1.20.0.ebuild | 33 ++++++++++++++++++++++
 2 files changed, 34 insertions(+)

diff --git a/dev-python/pytest-xdist/Manifest b/dev-python/pytest-xdist/Manifest
index 17b315a344f..1a4d0d16359 100644
--- a/dev-python/pytest-xdist/Manifest
+++ b/dev-python/pytest-xdist/Manifest
@@ -1,2 +1,3 @@
 DIST pytest-xdist-1.14.zip 106585 SHA256 4a5e1199122fa29e3017d8d189f59ccc5d82e841474ba2a1eec0e89606153623 SHA512 4cafae77736da6880e8dd42aaa91f68bbc959ff7dabcd231018b144b54f96ccf1b11abb09474e260876bbdf731053005fdbd348ac87461f303d8f8f7af643e36 WHIRLPOOL 7d1f57a6d5cbf08661254f3f47d72c3cfbe931f14985c4b24abb627bd10fdc3f2fa21d05085766c0ed425e74713f991b53bdde957bd64ea4f64a206c2f4feffc
 DIST pytest-xdist-1.15.0.tar.gz 87799 SHA256 6238395f8bd050f9288a3b10f34330edece80f4424cf2b4204d6e7d622f0f00b SHA512 6429bd0c85024a2dcb453e4264f06d4a548637c4dcdeabf73d2b78a112ace70ff61cf0849a4845cc70a7650d10a99e5fe1087d3b7dba4b941ec0a771fc9338ed WHIRLPOOL 0454f615c24b14a86aba58c7bc9dbc2b43af82551ae3912358603450f0e3ac94e849eb2fc57bdda8bd1de5201111a3986d2c12c9f2923f4296718ffee84d661b
+DIST pytest-xdist-1.20.0.tar.gz 56578 SHA256 7924d45c2430191fe3679a58116c74ceea13307d7822c169d65fd59a24b3a4fe SHA512 e91fa6fa2f3130d38d674f62e6332581b88b43d7a63562701edf705de1b8a633b6b2011a6fa5fcece955181f6cf263a8ca7481c5e5f9f1d56ce198327f7dd30a WHIRLPOOL 0a2311d92f372c692c579350792d7051c4dfa046bc22a6eeeeb9b214982f90c12b28f7c0875fec591741bf82a3e6feac2b807a9ccde5c920b14a8b9865d58e3a

diff --git a/dev-python/pytest-xdist/pytest-xdist-1.20.0.ebuild b/dev-python/pytest-xdist/pytest-xdist-1.20.0.ebuild
new file mode 100644
index 00000000000..7e6d21d5471
--- /dev/null
+++ b/dev-python/pytest-xdist/pytest-xdist-1.20.0.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 python3_{4,5,6} pypy{,3} )
+
+inherit distutils-r1
+
+DESCRIPTION="Distributed testing and loop-on-failing modes"
+HOMEPAGE="https://pypi.python.org/pypi/pytest-xdist https://github.com/pytest-dev/pytest-xdist"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+SLOT="0"
+LICENSE="MIT"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86"
+IUSE="test"
+
+RDEPEND="
+	>=dev-python/execnet-1.1[${PYTHON_USEDEP}]
+	>=dev-python/pytest-3.0.0[${PYTHON_USEDEP}]
+	dev-python/pytest-forked[${PYTHON_USEDEP}]
+	>=dev-python/py-1.4.22[${PYTHON_USEDEP}]
+"
+DEPEND="${RDEPEND}
+	dev-python/setuptools[${PYTHON_USEDEP}]
+	dev-python/setuptools_scm[${PYTHON_USEDEP}]
+"
+
+python_test() {
+	distutils_install_for_testing
+	py.test -vv || die "Tests failed under ${EPYTHON}"
+}


             reply	other threads:[~2017-08-22  3:42 UTC|newest]

Thread overview: 152+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2017-08-22  3:42 Tim Harder [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-05-25  6:21 [gentoo-commits] repo/gentoo:master commit in: dev-python/pytest-xdist/ Michał Górny
2024-05-25  6:13 Arthur Zamarin
2024-05-09 16:48 Michał Górny
2024-04-29  3:27 Michał Górny
2024-04-20  5:40 Michał Górny
2024-01-28 19:37 Michał Górny
2023-12-09 14:00 Michał Górny
2023-12-09 13:56 Michał Górny
2023-11-24  9:31 Sam James
2023-11-23  4:19 Michał Górny
2023-11-21 19:05 Michał Górny
2023-11-11 20:23 Michał Górny
2023-11-05 20:58 Michał Górny
2023-11-05 19:08 Arthur Zamarin
2023-10-06  0:42 Sam James
2023-06-18 17:13 Michał Górny
2023-06-18 14:47 Sam James
2023-05-24  8:32 Michał Górny
2023-05-24  7:02 Michał Górny
2023-05-20  6:22 Michał Górny
2023-05-13  4:46 Michał Górny
2023-03-17 17:18 Michał Górny
2023-03-17 15:58 Arthur Zamarin
2023-03-13  5:12 Michał Górny
2023-02-12 19:05 Michał Górny
2023-02-08  6:27 Michał Górny
2023-01-08  5:06 Michał Górny
2023-01-07 18:27 Arthur Zamarin
2022-12-04  7:45 Michał Górny
2022-11-25 13:52 Michał Górny
2022-11-25 13:45 Arthur Zamarin
2022-10-25 20:30 Arthur Zamarin
2022-06-10  4:15 Michał Górny
2022-06-10  3:09 Sam James
2022-05-09 20:38 Michał Górny
2022-05-09 20:12 Michał Górny
2022-01-10 19:50 Michał Górny
2022-01-10 19:45 Arthur Zamarin
2021-12-10 17:12 Arthur Zamarin
2021-10-24  5:13 Arthur Zamarin
2021-10-24  0:19 Sam James
2021-10-15 19:53 Arthur Zamarin
2021-09-22  7:37 Michał Górny
2021-09-21 19:47 Michał Górny
2021-08-21 22:15 James Le Cuirot
2021-07-25  8:41 Michał Górny
2021-07-25  1:04 Sam James
2021-06-17  6:40 Michał Górny
2021-05-05 17:05 Michał Górny
2021-03-14 22:33 Sam James
2021-02-10  8:06 Michał Górny
2021-02-01 17:23 Michał Górny
2021-02-01 15:07 Agostino Sarubbo
2021-01-18 18:48 Michał Górny
2021-01-18 16:53 Sam James
2020-12-22  8:00 Sergei Trofimovich
2020-12-18 11:13 Louis Sautier
2020-12-15 11:05 Michał Górny
2020-12-01 17:52 Louis Sautier
2020-11-28  8:50 Sam James
2020-09-24  6:49 Agostino Sarubbo
2020-09-21 16:06 Michał Górny
2020-09-20  7:57 Michał Górny
2020-09-09  0:37 Sam James
2020-08-26  6:38 Michał Górny
2020-08-15 17:52 Sam James
2020-08-15  8:44 Michał Górny
2020-08-03 16:34 Sergei Trofimovich
2020-07-28 13:23 Michał Górny
2020-07-28 12:53 Michał Górny
2020-07-28 12:48 Michał Górny
2020-07-17 10:42 Sam James
2020-07-17  7:21 Agostino Sarubbo
2020-07-14 16:38 Sergei Trofimovich
2020-07-11 22:38 Sam James
2020-07-10  6:30 Michał Górny
2020-07-09  8:59 Agostino Sarubbo
2020-06-18 17:37 Sergei Trofimovich
2020-05-26 12:58 Michał Górny
2020-05-21  8:03 Agostino Sarubbo
2020-05-16 19:47 Sergei Trofimovich
2020-05-04 11:44 Michał Górny
2020-04-01 19:19 Mart Raudsepp
2020-03-28 18:49 Michał Górny
2020-03-28 18:49 Michał Górny
2020-03-25 15:27 Agostino Sarubbo
2019-12-20 20:10 Michał Górny
2019-12-07 23:07 Matt Turner
2019-11-23 10:35 Michał Górny
2019-11-23 10:35 Michał Górny
2019-10-12 20:23 Matt Turner
2019-07-29  8:50 Mikle Kolyada
2019-07-23  1:11 Aaron Bauman
2019-06-27  7:05 Sergei Trofimovich
2019-06-22 14:13 Sergei Trofimovich
2019-04-12  3:52 Aaron Bauman
2019-02-04 19:57 Virgil Dupras
2019-02-04 19:57 Virgil Dupras
2019-01-17 20:45 Mikle Kolyada
2018-12-28 20:43 Mikle Kolyada
2018-11-11 10:11 Mikle Kolyada
2018-11-08 23:35 Sergei Trofimovich
2018-10-31 23:35 Sergei Trofimovich
2018-10-17 18:38 Sergei Trofimovich
2018-10-15 18:57 Virgil Dupras
2018-10-14  8:04 Mikle Kolyada
2018-10-13  6:56 Tobias Klausmann
2018-10-09 21:24 Thomas Deutschmann
2018-10-09  5:12 Matt Turner
2018-10-09  5:12 Matt Turner
2018-10-08 21:35 Virgil Dupras
2018-07-28  1:21 Mikle Kolyada
2018-07-16 19:57 Michał Górny
2018-07-11 22:39 Michał Górny
2018-07-11 15:55 Michał Górny
2018-07-11 15:55 Michał Górny
2018-07-11 15:55 Michał Górny
2018-02-22 15:52 Michał Górny
2018-02-17 21:51 Patrice Clement
2018-01-06  0:44 Michał Górny
2017-11-19  2:50 Tim Harder
2017-05-26 18:34 Mart Raudsepp
2017-05-18 20:12 Michael Weber
2017-05-03  9:26 Michał Górny
2017-03-22 19:48 Markus Meier
2017-03-11 17:07 Agostino Sarubbo
2017-02-25 10:03 Agostino Sarubbo
2017-02-23 16:35 Michael Weber
2017-02-23 16:35 Michael Weber
2017-02-23 14:12 Michael Weber
2017-02-21 11:54 Tobias Klausmann
2017-02-19  8:40 Markus Meier
2017-02-18 17:58 Mike Gilbert
2017-02-18 17:40 Mike Gilbert
2017-02-17 21:04 Mike Frysinger
2017-02-12 22:20 Zac Medico
2017-02-12 17:10 Agostino Sarubbo
2017-02-04 12:08 Jeroen Roovers
2017-01-25  6:39 Jeroen Roovers
2016-11-30 18:05 Michał Górny
2016-11-06 21:39 Matt Thode
2016-10-07 18:11 Brian Dolbec
2016-05-06  5:26 Ian Delaney
2016-05-05  8:06 Ian Delaney
2016-02-01 16:27 Justin Lecher
2016-02-01 15:44 Justin Lecher
2015-10-15  8:57 Justin Lecher
2015-10-14 17:21 Michał Górny
2015-09-09  9:49 Justin Lecher
2015-09-09  9:49 Justin Lecher
2015-09-09  9:49 Justin Lecher

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1503373235.99fc2c71df965c82f15953abb0da3e5fe5b18cac.radhermit@gentoo \
    --to=radhermit@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox